/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for DiagnosticImagingReportDocumentTitles
 */
public enum EnumCM_DiagnosticImagingReportDocumentTitles 
{
	//CID 7000 Diagnostic Imaging Report Document Titles
		CARDIAC_CATHETERIZATION_REPORT("Cardiac Catheterization Report"),
		CT_ABDOMEN_REPORT("CT Abdomen Report"),
		CT_CHEST_REPORT("CT Chest Report"),
		CT_HEAD_REPORT("CT Head Report"),
		CT_REPORT("CT Report"),
		DIAGNOSTIC_IMAGING_REPORT("Diagnostic Imaging Report"),
		ECHOCARDIOGRAPHY_REPORT("Echocardiography Report"),
		ULTRASOUND_REPORT("Ultrasound Report"),
		MRI_HEAD_REPORT("MRI Head Report"),
		MRI_REPORT("MRI Report"),
		MRI_SPINE_REPORT("MRI Spine Report"),
		NUCLEAR_MEDICINE_REPORT("Nuclear Medicine Report"),
		NUCLEAR_MEDICINE_THYROID_SCAN_REPORT("Nuclear Medicine Thyroid Scan Report"),
		ULTRASOUND_OBSTETRIC_AND_GYN_REPORT("Ultrasound Obstetric and Gyn Report"),
		PET_SCAN_REPORT("PET Scan Report"),
		RADIOLOGY_REPORT("Radiology Report"),
		CARDIAC_ELECTROPHYSIOLOGY_REPORT("Cardiac Electrophysiology Report"),
		ECG_REPORT("ECG Report"),
		EXERCISE_STRESS_TEST_REPORT("Exercise Stress Test Report"),
		HOLTER_STUDY_REPORT("Holter Study Report"),
		X_RAY_REPORT("X-Ray Report"),
		DEXA_SKELETAL_SYSTEM_STUDY_REPORT("DEXA Skeletal System Study Report"),
		BREAST_IMAGING_REPORT("Breast Imaging Report"),
		MAMMOGRAPHY_SCREENING_REPORT("Mammography Screening Report"),
		FLUOROSCOPY_STUDY_REPORT("Fluoroscopy Study Report"),
		DIAGNOSTIC_INTERVENTIONAL_RADIOLOGY_REPORT("Diagnostic Interventional Radiology Report");

	private String value;

	EnumCM_DiagnosticImagingReportDocumentTitles(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return (""" returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
